Index: svn/src/southbridge/nvidia/ck804/Kconfig
===================================================================
--- svn.orig/src/southbridge/nvidia/ck804/Kconfig
+++ svn/src/southbridge/nvidia/ck804/Kconfig
@@ -1,6 +1,5 @@
 config SOUTHBRIDGE_NVIDIA_CK804
 	bool
-	default n
 
 config HAVE_HARD_RESET
 	bool
Index: svn/src/southbridge/nvidia/mcp55/Kconfig
===================================================================
--- svn.orig/src/southbridge/nvidia/mcp55/Kconfig
+++ svn/src/southbridge/nvidia/mcp55/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_NVIDIA_MCP55
 	bool
-	default n
Index: svn/src/southbridge/via/vt8237r/Kconfig
===================================================================
--- svn.orig/src/southbridge/via/vt8237r/Kconfig
+++ svn/src/southbridge/via/vt8237r/Kconfig
@@ -19,8 +19,8 @@
 
 config SOUTHBRIDGE_VIA_VT8237R
 	bool
-	default n
 
 config EPIA_VT8237R_INIT
 	bool
 	default n
+	depends on SOUTHBRIDGE_VIA_VT8237R
Index: svn/src/northbridge/amd/amdfam10/Kconfig
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/Kconfig
+++ svn/src/northbridge/amd/amdfam10/Kconfig
@@ -19,7 +19,6 @@
 
 config NORTHBRIDGE_AMD_AMDFAM10
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
 config AGP_APERTURE_SIZE
Index: svn/src/northbridge/amd/amdk8/Kconfig
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/Kconfig
+++ svn/src/northbridge/amd/amdk8/Kconfig
@@ -20,7 +20,6 @@
 config NORTHBRIDGE_AMD_AMDK8
 	bool
 	select HAVE_HIGH_TABLES
-	default n
 
 config AGP_APERTURE_SIZE
 	hex
Index: svn/src/northbridge/amd/gx1/Kconfig
===================================================================
--- svn.orig/src/northbridge/amd/gx1/Kconfig
+++ svn/src/northbridge/amd/gx1/Kconfig
@@ -20,5 +20,4 @@
 
 config NORTHBRIDGE_AMD_GX1
 	bool
-	default n
 
Index: svn/src/northbridge/amd/gx2/Kconfig
===================================================================
--- svn.orig/src/northbridge/amd/gx2/Kconfig
+++ svn/src/northbridge/amd/gx2/Kconfig
@@ -19,5 +19,4 @@
 
 config NORTHBRIDGE_AMD_GX2
 	bool
-	default n
 
Index: svn/src/northbridge/amd/lx/Kconfig
===================================================================
--- svn.orig/src/northbridge/amd/lx/Kconfig
+++ svn/src/northbridge/amd/lx/Kconfig
@@ -1,6 +1,5 @@
 config NORTHBRIDGE_AMD_LX
 	bool
-	default n
 
 config HAVE_HIGH_TABLES
 	bool
Index: svn/src/northbridge/intel/e7501/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/e7501/Kconfig
+++ svn/src/northbridge/intel/e7501/Kconfig
@@ -1,5 +1,4 @@
 config NORTHBRIDGE_INTEL_E7501
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
Index: svn/src/northbridge/intel/e7520/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/e7520/Kconfig
+++ svn/src/northbridge/intel/e7520/Kconfig
@@ -1,5 +1,4 @@
 config NORTHBRIDGE_INTEL_E7520
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
Index: svn/src/northbridge/intel/e7525/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/e7525/Kconfig
+++ svn/src/northbridge/intel/e7525/Kconfig
@@ -1,5 +1,4 @@
 config NORTHBRIDGE_INTEL_E7525
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
Index: svn/src/northbridge/intel/i3100/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/i3100/Kconfig
+++ svn/src/northbridge/intel/i3100/Kconfig
@@ -1,5 +1,4 @@
 config NORTHBRIDGE_INTEL_I3100
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
Index: svn/src/northbridge/intel/i440bx/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/i440bx/Kconfig
+++ svn/src/northbridge/intel/i440bx/Kconfig
@@ -20,6 +20,5 @@
 
 config NORTHBRIDGE_INTEL_I440BX
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
Index: svn/src/northbridge/intel/i82810/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/i82810/Kconfig
+++ svn/src/northbridge/intel/i82810/Kconfig
@@ -20,6 +20,5 @@
 
 config NORTHBRIDGE_INTEL_I82810
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
Index: svn/src/northbridge/intel/i82830/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/i82830/Kconfig
+++ svn/src/northbridge/intel/i82830/Kconfig
@@ -1,5 +1,4 @@
 config NORTHBRIDGE_INTEL_I82830
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
Index: svn/src/northbridge/intel/i855gme/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/i855gme/Kconfig
+++ svn/src/northbridge/intel/i855gme/Kconfig
@@ -1,5 +1,4 @@
 config NORTHBRIDGE_INTEL_I855GME
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
Index: svn/src/northbridge/intel/i855pm/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/i855pm/Kconfig
+++ svn/src/northbridge/intel/i855pm/Kconfig
@@ -1,5 +1,4 @@
 config NORTHBRIDGE_INTEL_I855PM
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
Index: svn/src/northbridge/intel/i945/Kconfig
===================================================================
--- svn.orig/src/northbridge/intel/i945/Kconfig
+++ svn/src/northbridge/intel/i945/Kconfig
@@ -20,4 +20,3 @@
 config NORTHBRIDGE_INTEL_I945
 	bool
 	select HAVE_HIGH_TABLES
-	default n
Index: svn/src/northbridge/via/cn400/Kconfig
===================================================================
--- svn.orig/src/northbridge/via/cn400/Kconfig
+++ svn/src/northbridge/via/cn400/Kconfig
@@ -1,6 +1,5 @@
 config NORTHBRIDGE_VIA_CN400
 	bool
-	default n
 
 config FALLBACK_SIZE
 	int
Index: svn/src/northbridge/via/cn700/Kconfig
===================================================================
--- svn.orig/src/northbridge/via/cn700/Kconfig
+++ svn/src/northbridge/via/cn700/Kconfig
@@ -1,6 +1,5 @@
 config NORTHBRIDGE_VIA_CN700
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
 config FALLBACK_SIZE
Index: svn/src/northbridge/via/cx700/Kconfig
===================================================================
--- svn.orig/src/northbridge/via/cx700/Kconfig
+++ svn/src/northbridge/via/cx700/Kconfig
@@ -1,6 +1,5 @@
 config NORTHBRIDGE_VIA_CX700
 	bool
-	default n
 
 # this is done by the northbridge's vgabios.c already
 config VGA_ROM_RUN
Index: svn/src/northbridge/via/vt8601/Kconfig
===================================================================
--- svn.orig/src/northbridge/via/vt8601/Kconfig
+++ svn/src/northbridge/via/vt8601/Kconfig
@@ -1,6 +1,5 @@
 config NORTHBRIDGE_VIA_VT8601
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
 config FALLBACK_SIZE
Index: svn/src/northbridge/via/vt8623/Kconfig
===================================================================
--- svn.orig/src/northbridge/via/vt8623/Kconfig
+++ svn/src/northbridge/via/vt8623/Kconfig
@@ -1,6 +1,5 @@
 config NORTHBRIDGE_VIA_VT8623
 	bool
-	default n
 	select HAVE_HIGH_TABLES
 
 config FALLBACK_SIZE
Index: svn/src/northbridge/via/vx800/Kconfig
===================================================================
--- svn.orig/src/northbridge/via/vx800/Kconfig
+++ svn/src/northbridge/via/vx800/Kconfig
@@ -1,6 +1,5 @@
 config NORTHBRIDGE_VIA_VX800
 	bool
-	default n
 
 config FALLBACK_SIZE
 	int
Index: svn/src/southbridge/amd/amd8111/Kconfig
===================================================================
--- svn.orig/src/southbridge/amd/amd8111/Kconfig
+++ svn/src/southbridge/amd/amd8111/Kconfig
@@ -19,5 +19,4 @@
 
 config SOUTHBRIDGE_AMD_AMD8111
 	bool
-	default n
 
Index: svn/src/southbridge/amd/amd8131/Kconfig
===================================================================
--- svn.orig/src/southbridge/amd/amd8131/Kconfig
+++ svn/src/southbridge/amd/amd8131/Kconfig
@@ -19,5 +19,4 @@
 
 config SOUTHBRIDGE_AMD_AMD8131
 	bool
-	default n
 
Index: svn/src/southbridge/amd/amd8132/Kconfig
===================================================================
--- svn.orig/src/southbridge/amd/amd8132/Kconfig
+++ svn/src/southbridge/amd/amd8132/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_AMD_AMD8132
 	bool
-	default n
Index: svn/src/southbridge/amd/amd8151/Kconfig
===================================================================
--- svn.orig/src/southbridge/amd/amd8151/Kconfig
+++ svn/src/southbridge/amd/amd8151/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_AMD_AMD8151
 	bool
-	default n
Index: svn/src/southbridge/amd/cs5530/Kconfig
===================================================================
--- svn.orig/src/southbridge/amd/cs5530/Kconfig
+++ svn/src/southbridge/amd/cs5530/Kconfig
@@ -20,7 +20,6 @@
 
 config SOUTHBRIDGE_AMD_CS5530
 	bool
-	default n
 
 menu "AMD Geode GX1 video support"
 	depends on SOUTHBRIDGE_AMD_CS5530
Index: svn/src/southbridge/amd/cs5535/Kconfig
===================================================================
--- svn.orig/src/southbridge/amd/cs5535/Kconfig
+++ svn/src/southbridge/amd/cs5535/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_AMD_CS5535
 	bool
-	default n
Index: svn/src/southbridge/amd/cs5536/Kconfig
===================================================================
--- svn.orig/src/southbridge/amd/cs5536/Kconfig
+++ svn/src/southbridge/amd/cs5536/Kconfig
@@ -19,5 +19,4 @@
 
 config SOUTHBRIDGE_AMD_CS5536
 	bool
-	default n
 
Index: svn/src/southbridge/amd/rs690/Kconfig
===================================================================
--- svn.orig/src/southbridge/amd/rs690/Kconfig
+++ svn/src/southbridge/amd/rs690/Kconfig
@@ -19,5 +19,4 @@
 
 config SOUTHBRIDGE_AMD_RS690
 	bool
-	default n
 
Index: svn/src/southbridge/amd/sb600/Kconfig
===================================================================
--- svn.orig/src/southbridge/amd/sb600/Kconfig
+++ svn/src/southbridge/amd/sb600/Kconfig
@@ -19,5 +19,4 @@
 
 config SOUTHBRIDGE_AMD_SB600
 	bool
-	default n
 
Index: svn/src/southbridge/broadcom/bcm21000/Kconfig
===================================================================
--- svn.orig/src/southbridge/broadcom/bcm21000/Kconfig
+++ svn/src/southbridge/broadcom/bcm21000/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_BROADCOM_BCM21000
 	bool
-	default n
Index: svn/src/southbridge/broadcom/bcm5780/Kconfig
===================================================================
--- svn.orig/src/southbridge/broadcom/bcm5780/Kconfig
+++ svn/src/southbridge/broadcom/bcm5780/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_BROADCOM_BCM5780
 	bool
-	default n
Index: svn/src/southbridge/broadcom/bcm5785/Kconfig
===================================================================
--- svn.orig/src/southbridge/broadcom/bcm5785/Kconfig
+++ svn/src/southbridge/broadcom/bcm5785/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_BROADCOM_BCM5785
 	bool
-	default n
Index: svn/src/southbridge/intel/esb6300/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/esb6300/Kconfig
+++ svn/src/southbridge/intel/esb6300/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_INTEL_ESB6300
 	bool
-	default n
Index: svn/src/southbridge/intel/i3100/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/i3100/Kconfig
+++ svn/src/southbridge/intel/i3100/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_INTEL_I3100
 	bool
-	default n
Index: svn/src/southbridge/intel/i82371eb/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/i82371eb/Kconfig
+++ svn/src/southbridge/intel/i82371eb/Kconfig
@@ -1,4 +1,3 @@
 config SOUTHBRIDGE_INTEL_I82371EB
 	bool
-	default n
 
Index: svn/src/southbridge/intel/i82801ca/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/i82801ca/Kconfig
+++ svn/src/southbridge/intel/i82801ca/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_INTEL_I82801CA
 	bool
-	default n
Index: svn/src/southbridge/intel/i82801dbm/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/i82801dbm/Kconfig
+++ svn/src/southbridge/intel/i82801dbm/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_INTEL_I82801DBM
 	bool
-	default n
Index: svn/src/southbridge/intel/i82801er/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/i82801er/Kconfig
+++ svn/src/southbridge/intel/i82801er/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_INTEL_I82801ER
 	bool
-	default n
Index: svn/src/southbridge/intel/i82801gx/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/i82801gx/Kconfig
+++ svn/src/southbridge/intel/i82801gx/Kconfig
@@ -19,5 +19,4 @@
 
 config SOUTHBRIDGE_INTEL_I82801GX
 	bool
-	default n
 
Index: svn/src/southbridge/intel/i82801xx/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/i82801xx/Kconfig
+++ svn/src/southbridge/intel/i82801xx/Kconfig
@@ -20,5 +20,4 @@
 
 config SOUTHBRIDGE_INTEL_I82801XX
 	bool
-	default n
 
Index: svn/src/southbridge/intel/i82870/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/i82870/Kconfig
+++ svn/src/southbridge/intel/i82870/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_INTEL_I82870
 	bool
-	default n
Index: svn/src/southbridge/intel/pxhd/Kconfig
===================================================================
--- svn.orig/src/southbridge/intel/pxhd/Kconfig
+++ svn/src/southbridge/intel/pxhd/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_INTEL_PXHD
 	bool
-	default n
Index: svn/src/southbridge/ricoh/rl5c476/Kconfig
===================================================================
--- svn.orig/src/southbridge/ricoh/rl5c476/Kconfig
+++ svn/src/southbridge/ricoh/rl5c476/Kconfig
@@ -19,5 +19,4 @@
 
 config SOUTHBRIDGE_RICOH_RL5C476
 	bool
-	default n
 
Index: svn/src/southbridge/sis/sis966/Kconfig
===================================================================
--- svn.orig/src/southbridge/sis/sis966/Kconfig
+++ svn/src/southbridge/sis/sis966/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_SIS_SIS966
 	bool
-	default n
Index: svn/src/southbridge/via/k8t890/Kconfig
===================================================================
--- svn.orig/src/southbridge/via/k8t890/Kconfig
+++ svn/src/southbridge/via/k8t890/Kconfig
@@ -1,4 +1,3 @@
 config SOUTHBRIDGE_VIA_K8T890
 	bool
-	default n
 
Index: svn/src/southbridge/via/vt8231/Kconfig
===================================================================
--- svn.orig/src/southbridge/via/vt8231/Kconfig
+++ svn/src/southbridge/via/vt8231/Kconfig
@@ -19,5 +19,4 @@
 
 config SOUTHBRIDGE_VIA_VT8231
 	bool
-	default n
 
Index: svn/src/southbridge/via/vt8235/Kconfig
===================================================================
--- svn.orig/src/southbridge/via/vt8235/Kconfig
+++ svn/src/southbridge/via/vt8235/Kconfig
@@ -19,5 +19,4 @@
 
 config SOUTHBRIDGE_VIA_VT8235
 	bool
-	default n
 
Index: svn/src/southbridge/winbond/w83c553/Kconfig
===================================================================
--- svn.orig/src/southbridge/winbond/w83c553/Kconfig
+++ svn/src/southbridge/winbond/w83c553/Kconfig
@@ -1,3 +1,2 @@
 config SOUTHBRIDGE_WINBOND_W83C553
 	bool
-	default n
Index: svn/src/superio/fintek/Kconfig
===================================================================
--- svn.orig/src/superio/fintek/Kconfig
+++ svn/src/superio/fintek/Kconfig
@@ -1,3 +1,2 @@
 config SUPERIO_FINTEK_F71805F
 	bool
-	default n
Index: svn/src/superio/intel/Kconfig
===================================================================
--- svn.orig/src/superio/intel/Kconfig
+++ svn/src/superio/intel/Kconfig
@@ -1,3 +1,2 @@
 config SUPERIO_INTEL_I3100
 	bool
-	default n
Index: svn/src/superio/ite/Kconfig
===================================================================
--- svn.orig/src/superio/ite/Kconfig
+++ svn/src/superio/ite/Kconfig
@@ -1,21 +1,14 @@
 config SUPERIO_ITE_IT8661F
 	bool
-	default n
 config SUPERIO_ITE_IT8671F
 	bool
-	default n
 config SUPERIO_ITE_IT8673F
 	bool
-	default n
 config SUPERIO_ITE_IT8705F
 	bool
-	default n
 config SUPERIO_ITE_IT8712F
 	bool
-	default n
 config SUPERIO_ITE_IT8716F
 	bool
-	default n
 config SUPERIO_ITE_IT8718F
 	bool
-	default n
Index: svn/src/superio/nsc/Kconfig
===================================================================
--- svn.orig/src/superio/nsc/Kconfig
+++ svn/src/superio/nsc/Kconfig
@@ -1,27 +1,18 @@
 config SUPERIO_NSC_PC8374
 	bool
-	default n
 config SUPERIO_NSC_PC87309
 	bool
-	default n
 config SUPERIO_NSC_PC87351
 	bool
-	default n
 config SUPERIO_NSC_PC87360
 	bool
-	default n
 config SUPERIO_NSC_PC87366
 	bool
-	default n
 config SUPERIO_NSC_PC87417
 	bool
-	default n
 config SUPERIO_NSC_PC87427
 	bool
-	default n
 config SUPERIO_NSC_PC97307
 	bool
-	default n
 config SUPERIO_NSC_PC97317
 	bool
-	default n
Index: svn/src/superio/serverengines/Kconfig
===================================================================
--- svn.orig/src/superio/serverengines/Kconfig
+++ svn/src/superio/serverengines/Kconfig
@@ -1,3 +1,2 @@
 config SUPERIO_SERVERENGINES_PILOT
 	bool
-	default n
Index: svn/src/superio/smsc/Kconfig
===================================================================
--- svn.orig/src/superio/smsc/Kconfig
+++ svn/src/superio/smsc/Kconfig
@@ -1,18 +1,12 @@
 config SUPERIO_SMSC_FDC37M60X
 	bool
-	default n
 config SUPERIO_SMSC_LPC47B272
 	bool
-	default n
 config SUPERIO_SMSC_LPC47B397
 	bool
-	default n
 config SUPERIO_SMSC_LPC47M10X
 	bool
-	default n
 config SUPERIO_SMSC_LPC47N217
 	bool
-	default n
 config SUPERIO_SMSC_SMSCSUPERIO
 	bool
-	default n
Index: svn/src/superio/via/Kconfig
===================================================================
--- svn.orig/src/superio/via/Kconfig
+++ svn/src/superio/via/Kconfig
@@ -1,3 +1,2 @@
 config SUPERIO_VIA_VT1211
 	bool
-	default n
Index: svn/src/superio/winbond/Kconfig
===================================================================
--- svn.orig/src/superio/winbond/Kconfig
+++ svn/src/superio/winbond/Kconfig
@@ -1,27 +1,18 @@
 config SUPERIO_WINBOND_W83627DHG
 	bool
-	default n
 config SUPERIO_WINBOND_W83627EHG
 	bool
-	default n
 config SUPERIO_WINBOND_W83627HF
 	bool
-	default n
 config SUPERIO_WINBOND_W83627THF
 	bool
-	default n
 config SUPERIO_WINBOND_W83627THG
 	bool
-	default n
 config SUPERIO_WINBOND_W83627UHG
 	bool
-	default n
 config SUPERIO_WINBOND_W83697HF
 	bool
-	default n
 config SUPERIO_WINBOND_W83977F
 	bool
-	default n
 config SUPERIO_WINBOND_W83977TF
 	bool
-	default n
Index: svn/src/cpu/Kconfig
===================================================================
--- svn.orig/src/cpu/Kconfig
+++ svn/src/cpu/Kconfig
@@ -30,19 +30,14 @@ config SMP
 	default y if MAX_CPUS != 1
 	default n
 
+# Set MMX and SSE in socket or model if the CPU has them.
+# If all CPUs for the socket have MMX or SSE, set them there.
+# These options are only needed for boards compiled with romcc.
 config	MMX
 	bool
-	default n
-	help
-		Set this in socket or model if the CPU has MMX. 
-		If the CPUs for the socket always have MMX, set it there. 
 
 config SSE
 	bool
-	default n
-	help
-		Set this in socket or model if the CPU has SSE. 
-		If the CPUs for the socket always have MX, set it there. 
 
 config VAR_MTRR_HOLE
 	bool
Index: svn/src/northbridge/amd/amdfam10/root_complex/Kconfig
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/root_complex/Kconfig
+++ svn/src/northbridge/amd/amdfam10/root_complex/Kconfig
@@ -1,4 +1,3 @@
 config NORTHBRIDGE_AMD_AMDFAM10_ROOT_COMPLEX
 	bool
-	default n
 
Index: svn/src/northbridge/amd/amdk8/root_complex/Kconfig
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/root_complex/Kconfig
+++ svn/src/northbridge/amd/amdk8/root_complex/Kconfig
@@ -19,4 +19,3 @@
 
 config NORTHBRIDGE_AMD_AMDK8_ROOT_COMPLEX
 	bool
-	default n
Index: svn/src/cpu/amd/model_10xxx/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/model_10xxx/Kconfig
+++ svn/src/cpu/amd/model_10xxx/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_MODEL_10XXX
 	bool
-	default n
 
 config HAVE_INIT_TIMER
 	bool
Index: svn/src/cpu/amd/model_fxx/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/model_fxx/Kconfig
+++ svn/src/cpu/amd/model_fxx/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_MODEL_FXX
 	bool
-	default n
 
 config HAVE_INIT_TIMER
 	bool
Index: svn/src/cpu/amd/model_gx1/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/model_gx1/Kconfig
+++ svn/src/cpu/amd/model_gx1/Kconfig
@@ -20,5 +20,4 @@
 
 config CPU_AMD_GX1
 	bool
-	default n
 
Index: svn/src/cpu/amd/model_gx2/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/model_gx2/Kconfig
+++ svn/src/cpu/amd/model_gx2/Kconfig
@@ -1,3 +1,2 @@
 config CPU_AMD_GX2
 	bool
-	default n
Index: svn/src/cpu/amd/model_lx/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/model_lx/Kconfig
+++ svn/src/cpu/amd/model_lx/Kconfig
@@ -1,4 +1,3 @@
 config CPU_AMD_LX
 	bool
-	default n
 
Index: svn/src/cpu/amd/sc520/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/sc520/Kconfig
+++ svn/src/cpu/amd/sc520/Kconfig
@@ -1,4 +1,3 @@
 config CPU_AMD_SC520
 	bool
-	default n
 
Index: svn/src/cpu/amd/socket_754/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/socket_754/Kconfig
+++ svn/src/cpu/amd/socket_754/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_SOCKET_754
 	bool
-	default n
 	select CPU_AMD_MODEL_FXX
 
 config CPU_SOCKET_TYPE
Index: svn/src/cpu/amd/socket_939/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/socket_939/Kconfig
+++ svn/src/cpu/amd/socket_939/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_SOCKET_939
 	bool
-	default n
 	select CPU_AMD_MODEL_FXX
 
 config CPU_SOCKET_TYPE
Index: svn/src/cpu/amd/socket_940/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/socket_940/Kconfig
+++ svn/src/cpu/amd/socket_940/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_SOCKET_940
 	bool
-	default n
 	select K8_HT_FREQ_1G_SUPPORT
 	select CPU_AMD_MODEL_FXX
 
Index: svn/src/cpu/amd/socket_AM2/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/socket_AM2/Kconfig
+++ svn/src/cpu/amd/socket_AM2/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_SOCKET_AM2
 	bool
-	default n
 	select K8_REV_F_SUPPORT
 	# Opteron K8 1G HT support
 	select K8_HT_FREQ_1G_SUPPORT
Index: svn/src/cpu/amd/socket_AM2r2/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/socket_AM2r2/Kconfig
+++ svn/src/cpu/amd/socket_AM2r2/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_SOCKET_AM2R2
 	bool
-	default n
 	select CPU_AMD_MODEL_10XXX
 	select HT3_SUPPORT
 	select CAR_FAM10
Index: svn/src/cpu/amd/socket_F/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/socket_F/Kconfig
+++ svn/src/cpu/amd/socket_F/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_SOCKET_F
 	bool
-	default n
 	select K8_REV_F_SUPPORT
 	select K8_HT_FREQ_1G_SUPPORT
 	select CPU_AMD_MODEL_FXX
Index: svn/src/cpu/amd/socket_F_1207/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/socket_F_1207/Kconfig
+++ svn/src/cpu/amd/socket_F_1207/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_SOCKET_F_1207
 	bool
-	default n
 	select CPU_AMD_MODEL_10XXX
 
 config CPU_SOCKET_TYPE
Index: svn/src/cpu/amd/socket_S1G1/Kconfig
===================================================================
--- svn.orig/src/cpu/amd/socket_S1G1/Kconfig
+++ svn/src/cpu/amd/socket_S1G1/Kconfig
@@ -1,6 +1,5 @@
 config CPU_AMD_SOCKET_S1G1
         bool
-	default n
 	select K8_REV_F_SUPPORT
 	select K8_HT_FREQ_1G_SUPPORT
 	select CPU_AMD_MODEL_FXX
Index: svn/src/cpu/emulation/qemu-x86/Kconfig
===================================================================
--- svn.orig/src/cpu/emulation/qemu-x86/Kconfig
+++ svn/src/cpu/emulation/qemu-x86/Kconfig
@@ -1,4 +1,3 @@
 config CPU_EMULATION_QEMU_X86
 	bool
-	default n
 
Index: svn/src/cpu/intel/bga956/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/bga956/Kconfig
+++ svn/src/cpu/intel/bga956/Kconfig
@@ -1,4 +1,3 @@
 config CPU_INTEL_SOCKET_BGA956
 	bool
-	default n
 	select CPU_INTEL_CORE2
Index: svn/src/cpu/intel/ep80579/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/ep80579/Kconfig
+++ svn/src/cpu/intel/ep80579/Kconfig
@@ -1,3 +1,2 @@
 config CPU_INTEL_EP80579
 	bool
-	default n
Index: svn/src/cpu/intel/model_1067x/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_1067x/Kconfig
+++ svn/src/cpu/intel/model_1067x/Kconfig
@@ -1,5 +1,4 @@
 config CPU_INTEL_CORE2
 	bool
-	default n
 	select SMP
 	select HAVE_MOVNTI
Index: svn/src/cpu/intel/model_69x/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_69x/Kconfig
+++ svn/src/cpu/intel/model_69x/Kconfig
@@ -1,4 +1,3 @@
 config CPU_INTEL_MODEL_69X
 	bool
-	default n
 	select SMP
Index: svn/src/cpu/intel/model_6dx/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_6dx/Kconfig
+++ svn/src/cpu/intel/model_6dx/Kconfig
@@ -1,4 +1,3 @@
 config CPU_INTEL_MODEL_6DX
 	bool
-	default n
 	select SMP
Index: svn/src/cpu/intel/model_6ex/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_6ex/Kconfig
+++ svn/src/cpu/intel/model_6ex/Kconfig
@@ -1,4 +1,3 @@
 config CPU_INTEL_CORE
 	bool
-	default n
 	select SMP
Index: svn/src/cpu/intel/model_6xx/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_6xx/Kconfig
+++ svn/src/cpu/intel/model_6xx/Kconfig
@@ -1,4 +1,3 @@
 config CPU_INTEL_MODEL_6XX
 	bool
-	default n
 	select SMP
Index: svn/src/cpu/intel/model_f0x/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_f0x/Kconfig
+++ svn/src/cpu/intel/model_f0x/Kconfig
@@ -1,5 +1,4 @@
 config CPU_INTEL_MODEL_F0X
 	bool
-	default n
 	select SMP
 	select HAVE_MOVNTI
Index: svn/src/cpu/intel/model_f1x/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_f1x/Kconfig
+++ svn/src/cpu/intel/model_f1x/Kconfig
@@ -1,5 +1,4 @@
 config CPU_INTEL_MODEL_F1X
 	bool
-	default n
 	select SMP
 	select HAVE_MOVNTI
Index: svn/src/cpu/intel/model_f2x/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_f2x/Kconfig
+++ svn/src/cpu/intel/model_f2x/Kconfig
@@ -1,5 +1,4 @@
 config CPU_INTEL_MODEL_F2X
 	bool
-	default n
 	select SMP
 	select HAVE_MOVNTI
Index: svn/src/cpu/intel/model_f3x/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_f3x/Kconfig
+++ svn/src/cpu/intel/model_f3x/Kconfig
@@ -1,5 +1,4 @@
 config CPU_INTEL_MODEL_F3X
 	bool
-	default n
 	select SMP
 	select HAVE_MOVNTI
Index: svn/src/cpu/intel/model_f4x/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/model_f4x/Kconfig
+++ svn/src/cpu/intel/model_f4x/Kconfig
@@ -1,5 +1,4 @@
 config CPU_INTEL_MODEL_F4X
 	bool
-	default n
 	select SMP
 	select HAVE_MOVNTI
Index: svn/src/cpu/intel/slot_2/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/slot_2/Kconfig
+++ svn/src/cpu/intel/slot_2/Kconfig
@@ -20,5 +20,4 @@
 
 config CPU_INTEL_SLOT_2
 	bool
-	default n
 
Index: svn/src/cpu/intel/socket_PGA370/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/socket_PGA370/Kconfig
+++ svn/src/cpu/intel/socket_PGA370/Kconfig
@@ -20,5 +20,4 @@
 
 config CPU_INTEL_SOCKET_PGA370
 	bool
-	default n
 	select MMX
Index: svn/src/cpu/intel/socket_mFCPGA478/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/socket_mFCPGA478/Kconfig
+++ svn/src/cpu/intel/socket_mFCPGA478/Kconfig
@@ -1,3 +1,2 @@
 config CPU_INTEL_SOCKET_MFCPGA478
 	bool
-	default n
Index: svn/src/cpu/intel/socket_mPGA478/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/socket_mPGA478/Kconfig
+++ svn/src/cpu/intel/socket_mPGA478/Kconfig
@@ -1,5 +1,4 @@
 config CPU_INTEL_SOCKET_MPGA478
 	bool
-	default n
 	select CPU_INTEL_MODEL_69X
 	select CPU_INTEL_MODEL_6DX
Index: svn/src/cpu/intel/socket_mPGA479M/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/socket_mPGA479M/Kconfig
+++ svn/src/cpu/intel/socket_mPGA479M/Kconfig
@@ -1,6 +1,5 @@
 config CPU_INTEL_SOCKET_MPGA479M
 	bool
-	default n
 	select CPU_INTEL_MODEL_69X
 	select CPU_INTEL_MODEL_6DX
 	select MMX
Index: svn/src/cpu/intel/socket_mPGA603/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/socket_mPGA603/Kconfig
+++ svn/src/cpu/intel/socket_mPGA603/Kconfig
@@ -1,6 +1,5 @@
 config CPU_INTEL_SOCKET_MPGA603
 	bool
-	default n
 	select CPU_INTEL_MODEL_F0X
 	select CPU_INTEL_MODEL_F1X
 	select CPU_INTEL_MODEL_F2X
Index: svn/src/cpu/intel/socket_mPGA604/Kconfig
===================================================================
--- svn.orig/src/cpu/intel/socket_mPGA604/Kconfig
+++ svn/src/cpu/intel/socket_mPGA604/Kconfig
@@ -1,6 +1,5 @@
 config CPU_INTEL_SOCKET_MPGA604
 	bool
-	default n
 	select CPU_INTEL_MODEL_F2X
 	select CPU_INTEL_MODEL_F3X
 	select CPU_INTEL_MODEL_F4X
Index: svn/src/cpu/via/model_c3/Kconfig
===================================================================
--- svn.orig/src/cpu/via/model_c3/Kconfig
+++ svn/src/cpu/via/model_c3/Kconfig
@@ -1,3 +1,2 @@
 config CPU_VIA_C3
 	bool
-	default n
Index: svn/src/cpu/via/model_c7/Kconfig
===================================================================
--- svn.orig/src/cpu/via/model_c7/Kconfig
+++ svn/src/cpu/via/model_c7/Kconfig
@@ -1,3 +1,2 @@
 config CPU_VIA_C7
 	bool
-	default n
